package nckd.jimin.jyyy.fi.common.constant;

public interface HandInReceiveTicketConstant {
    /**
     * 扫描单据
     */
    String KEY_NCKD_SCANNUMBER = "nckd_scannumber";
    /**
     * 扫描点
     */
    String KEY_NCKD_SCANTYPE = "nckd_scantype";

    String ENTITY_NCKD_TICKET_MAIL = "nckd_ticket_mail";


    interface SCANBILLENTRY{

        /**
         * 分录标识
         */
        String ENTITYID = "nckd_scanbill_entry";

        /**
         * 单据编号
         */
        String KEY_NCKD_NUMBER = "nckd_number";

        /**
         * 扫描状态
         */
        String KEY_NCKD_STATUS = "nckd_status";

        /**
         * 单据ID
         */
        String KEY_NCKD_BILLID = "nckd_billid";

        /**
         * 单据类型
         */
        String KEY_NCKD_FORMID = "nckd_formid";

        /**
         * 公司
         */
        String KEY_NCKD_COMPANY = "nckd_company";

    }





    interface OPERATE{
        /**
         * 交票操作
         */
        String HANDIN_TICKET = "nckd_handin_ticket";

        /**
         * 收票操作
         */
        String RECEIVE_TICKET = "nckd_receive_ticket";

        /**
         * 打印操作
         */
        String MERGEPRINT = "nckd_mergeprint";

        /**
         * 邮寄
         */
        String NCKD_MAIL = "nckd_mail";

        /**
         * 退邮
         */
        String NCKD_CANCELMAIN = "nckd_cancelmain";

        /**
         * 查看凭证
         */
        String NCKD_VIEW_VOUCHER = "nckd_view_voucher";
        /**
         * 查看电子回单
         */
        String NCKD_VIEW_ELECRECEIPT = "nckd_view_elecreceipt";

        /**
         * 刷新
         */
        String NCKD_REFRESH = "nckd_refresh";

        String NCKD_IMAGEPREVIEW = "nckd_imagepreview";


    }

    interface METEDATAFLAG{
        /**
         * 打印单据详情Flex
         */
        String NCKD_FLEX_TARGETBILL = "nckd_flex_targetbill";
        /**
         * 打印单据详情Flex
         */
        String NCKD_ENTRY_TOOLBARAP = "nckd_entry_toolbarap";

    }
}
